<template>
  <el-dialog :append-to-body="true" :close-on-click-modal="false" :before-close="cancel" :visible.sync="dialog" :title="isAdd ? '新增' : '编辑'" width="500px">
    <el-form ref="form" :model="form" :rules="rules" size="small" label-width="80px">
      <el-form-item label="设备ID" >
        <el-input v-model="form.deviceid" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="用户ID" >
        <el-input v-model="form.userid" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="控制" >
        <el-input v-model="form.action" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="操作结果" >
        <el-input v-model="form.message" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="日志时间" >
        <el-input v-model="form.logtime" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="支路" >
        <el-input v-model="form.way" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="支路名称" >
        <el-input v-model="form.wayname" style="width: 370px;"/>
      </el-form-item>
      <el-form-item label="备注" >
        <el-input v-model="form.nt" style="width: 370px;"/>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button type="text" @click="cancel">取消</el-button>
      <el-button :loading="loading" type="primary" @click="doSubmit">确认</el-button>
    </div>
  </el-dialog>
</template>

<script>
import { add, edit } from '@/api/sDeviceLog'
export default {
  props: {
    isAdd: {
      type: Boolean,
      required: true
    }
  },
  data() {
    return {
      loading: false, dialog: false,
      form: {
        id: '',
        deviceid: '',
        userid: '',
        action: '',
        message: '',
        logtime: '',
        way: '',
        wayname: '',
        nt: ''
      },
      rules: {
      }
    }
  },
  methods: {
    cancel() {
      this.resetForm()
    },
    doSubmit() {
      this.loading = true
      if (this.isAdd) {
        this.doAdd()
      } else this.doEdit()
    },
    doAdd() {
      add(this.form).then(res => {
        this.resetForm()
        this.$notify({
          title: '添加成功',
          type: 'success',
          duration: 2500
        })
        this.loading = false
        this.$parent.init()
      }).catch(err => {
        this.loading = false
        console.log(err.response.data.message)
      })
    },
    doEdit() {
      edit(this.form).then(res => {
        this.resetForm()
        this.$notify({
          title: '修改成功',
          type: 'success',
          duration: 2500
        })
        this.loading = false
        this.$parent.init()
      }).catch(err => {
        this.loading = false
        console.log(err.response.data.message)
      })
    },
    resetForm() {
      this.dialog = false
      this.$refs['form'].resetFields()
      this.form = {
        id: '',
        deviceid: '',
        userid: '',
        action: '',
        message: '',
        logtime: '',
        way: '',
        wayname: '',
        nt: ''
      }
    }
  }
}
</script>

<style scoped>

</style>
